Hi,
I was having a weird problem. A installed my laptop with clean 13.1 opensuse.
I added packman repository using Yast "Software Repositories" -> Add -> Community Repositories.
Everytime I tried to download vlc-codecs, it complained not being able to download many of the dependencies.
When I opened manually the address "http://ftp.gwdg.de/pub/linux/packman/suse/openSUSE_13.1/" and down to "Essentials/x86_64/" folder, the versions of the dependencies were not the same.
Then I saw "http://ftp.gwdg.de/pub/linux/packman/suse/13.1" while searching. I changed the address to that, and it worked. It didn't complain anymore.
I don't know why there are two repo's for 13.1.